package com.njyunzhi.avatar.common;

import cn.dev33.satoken.stp.StpUtil;
import com.njyunzhi.avatar.person.entity.TaPerson;
import com.njyunzhi.avatar.person.service.TaPersonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class BaseController {

    @Autowired
    public TaPersonService iTaPersonService;

    public TaPerson currentPerson() throws Exception {
        String loginId = StpUtil.getLoginIdAsString();
        if (StringUtils.isEmpty(loginId)) {
            throw new Exception("请先登录");
        }

        TaPerson user = iTaPersonService.getById(loginId);
        if (user == null) {
            throw new Exception("人员不存在");
        }

        return user;
    }
}
