package com.njyunzhi.avatar.person.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.avatar.person.vo.RankItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.njyunzhi.avatar.person.entity.StRank;

 /**
 * 统计排行;(st_rank)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-9-27
 */
@Mapper
public interface StRankMapper  extends BaseMapper<StRank>{

     int updateByArea();

     int increment(@Param("stType") String stType, @Param("stCode") String stCode);

     long getRankBy(@Param("stType") String stType, @Param("stCode") String stCode);

     IPage<RankItem> getPageBy(IPage<RankItem> pg, @Param("stType") String stType);
 }