package com.njyunzhi.avatar.person.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 统计排行;
 * @author : http://www.chiner.pro
 * @date : 2022-9-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "统计排行",description = "")
@TableName("st_rank")
public class StRank implements Serializable,Cloneable{
    /** 序号 */
    @ApiModelProperty(name = "序号",notes = "")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id ;
    /** 类型 */
    @ApiModelProperty(name = "类型",notes = "")
    private String stType ;
    /** 编码 */
    @ApiModelProperty(name = "编码",notes = "")
    private String stCode ;
    /** 值 */
    @ApiModelProperty(name = "值",notes = "")
    private Integer stNum ;

}