package com.njyunzhi.avatar.person.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 城市表;
 * @author : http://www.chiner.pro
 * @date : 2022-9-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "城市表",description = "")
@TableName("td_city")
public class TdCity implements Serializable,Cloneable{
    /** ID */
    @ApiModelProperty(name = "ID",notes = "")
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id ;
    /** 省市区名称 */
    @ApiModelProperty(name = "省市区名称",notes = "")
    private String name ;
    /** 上级ID */
    @ApiModelProperty(name = "上级ID",notes = "")
    private Integer parentid ;
    /** 简称 */
    @ApiModelProperty(name = "简称",notes = "")
    private String shortname ;
    /** 级别:0,中国；1，省分；2，市；3，区、县 */
    @ApiModelProperty(name = "级别:0,中国；1，省分；2，市；3，区、县",notes = "")
    private Integer leveltype ;
    /** 城市代码 */
    @ApiModelProperty(name = "城市代码",notes = "")
    private String citycode ;
    /** 邮编 */
    @ApiModelProperty(name = "邮编",notes = "")
    private String zipcode ;
    /** 经度 */
    @ApiModelProperty(name = "经度",notes = "")
    private String lng ;
    /** 纬度 */
    @ApiModelProperty(name = "纬度",notes = "")
    private String lat ;
    /** 拼音 */
    @ApiModelProperty(name = "拼音",notes = "")
    private String pinyin ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;

}