package com.njyunzhi.avatar.person.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.avatar.person.entity.StRank;
import com.njyunzhi.avatar.person.vo.RankItem;
import com.njyunzhi.avatar.service.IBaseService;

/**
 * 统计排行;(st_rank)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2022-9-27
 */
public interface StRankService extends IBaseService<StRank> {
    StRank createRank(String type, String code);

    boolean updateByArea(String areaCode);

    void updateByPerson(Integer personId);

    long getRankBy(String person, String stCode);

    IPage<RankItem> getPageBy(IPage<RankItem> pg, String type);
}